<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	echo 'session';
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro

	$codadtivo=$_POST['txtcc'];
	$ap1adtivo=$_POST['txtape1'];
	$ap2adtivo=$_POST['txtape2'];
	$no1adtivo=$_POST['txtno1'];
	$no2adtivo=$_POST['txtno2'];
	$gener=$_POST['txtgenero'];
	$carg=$_POST['txtcargo'];

	switch($acction){
		case 'del':
			$sql="delete from `adm_administrativos`  where cod_adtivo='$codigo'";
		break;
		case 'edit';
			$sql="UPDATE adm_administrativos SET ide_adtivo = '$codadtivo', ape1_adtivo = '$ap1adtivo', ape2_adtivo = '$ap2adtivo', no1_adtivo = '$no1adtivo', no2_adtivo = '$no2adtivo', genero = '$gener', cod_cargo = '$carg' WHERE cod_adtivo = '$codigo'";
			
		break;
		case 'add':
			$sql="INSERT INTO adm_administrativos (ide_adtivo, ape1_adtivo, ape2_adtivo, no1_adtivo, no2_adtivo, genero, cod_cargo)
VALUES ('$codadtivo', '$ap1adtivo', '$ap2adtivo', '$no1adtivo', '$no2adtivo', '$gener', '$carg')";
		break;
		default:
			$sql="";
	}

	if($sql!=''){
		$academia->instruccion($sql);
		echo $academia->extraer_error();
	}	
}
$academia->cerrar();
?>